Bug 848087 - Review Request: wmMatrix - DockApp version of Jamie Zawinski's xmatrix screensaver hack
Review Request: wmMatrix - DockApp version of Jamie Zawinski's xmatrix screen...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 10:49 EDT by Alexey I. Froloff
Modified: 2012-08-20 10:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 10:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey I. Froloff 2012-08-14 10:49:44 EDT
Spec URL: http://raorn.fedorapeople.org/packages/wmMatrix/wmMatrix.spec
SRPM URL: http://raorn.fedorapeople.org/packages/wmMatrix/wmMatrix-0.2-1.20120814git97216606.fc17.src.rpm
Description:

wmMatrix displays The Matrix (from the film of the same name) in
a Window Maker dock application. Based on the xscreensaver module
created by Jamie Zawinski.

Although it works best with Window Maker, wmMatrix also works fine
with other window managers.

Fedora Account System Username: raorn
Comment 1 Mario Blättermann 2012-08-19 09:46:46 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4403565

$ rpmlint -i -v *
wmMatrix.src: I: checking
wmMatrix.src: W: spelling-error Summary(en_US) xmatrix -> matrix, x matrix, aviatrix
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.src: W: spelling-error Summary(en_US) screensaver -> screen saver, screen-saver, screens aver
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.src: W: spelling-error %description -l en_US xscreensaver -> screenwriter
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.src: I: checking-url http://repo.or.cz/w/dockapps.git (timeout 10 seconds)
wmMatrix.src: I: checking-url http://repo.or.cz/w/dockapps.git/snapshot/wmMatrix-0.2-g97216606.tar.gz (timeout 10 seconds)
wmMatrix.i686: I: checking
wmMatrix.i686: W: spelling-error Summary(en_US) xmatrix -> matrix, x matrix, aviatrix
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.i686: W: spelling-error Summary(en_US) screensaver -> screen saver, screen-saver, screens aver
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.i686: W: spelling-error %description -l en_US xscreensaver -> screenwriter
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.i686: I: checking-url http://repo.or.cz/w/dockapps.git (timeout 10 seconds)
wmMatrix.x86_64: I: checking
wmMatrix.x86_64: W: spelling-error Summary(en_US) xmatrix -> matrix, x matrix, aviatrix
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.x86_64: W: spelling-error Summary(en_US) screensaver -> screen saver, screen-saver, screens aver
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.x86_64: W: spelling-error %description -l en_US xscreensaver -> screenwriter
The value of this tag appears to be misspelled. Please double-check.

wmMatrix.x86_64: I: checking-url http://repo.or.cz/w/dockapps.git (timeout 10 seconds)
wmMatrix-debuginfo.i686: I: checking
wmMatrix-debuginfo.i686: I: checking-url http://repo.or.cz/w/dockapps.git (timeout 10 seconds)
wmMatrix-debuginfo.x86_64: I: checking
wmMatrix-debuginfo.x86_64: I: checking-url http://repo.or.cz/w/dockapps.git (timeout 10 seconds)
5 packages and 0 specfiles checked; 0 errors, 9 warnings.


Some ignorable spelling errors.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+ and BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    870257fae370703bbd01116e2ab83e699e90d6751df4cc653fc783803e2970b4  wmMatrix-0.2-g97216606.tar.gz
    2208a26eac9186324396c73cea2c3d12ee098c4316102e5f209710fbda430a62  wmMatrix-0.2-g97216606.tar.gz.orig
    The reason for differing checksums is explained in the spec file. However, the problem is known to me from Github and Googlecode URLs.
[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[.] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway)
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Works fine on F17 x86_64.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 2 Alexey I. Froloff 2012-08-20 06:12:24 EDT
New Package SCM Request
=======================
Package Name: wmMatrix
Short Description: DockApp version of Jamie Zawinski's xmatrix screensaver hack
Owners: raorn
Branches: f17 f18
Comment 3 Gwyn Ciesla 2012-08-20 08:14:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.